package com.atguigu.ssyx.activity.mapper;

import com.atguigu.ssyx.model.activity.ActivityInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 活动表 Mapper 接口
 * </p>
 *
 * @author bunny
 * @since 2024-04-04
 */
@Mapper
public interface ActivityInfoMapper extends BaseMapper<ActivityInfo> {

    /**
     * 判断添加商品之前是否参加过活动
     *
     * @param skuIdList skuId
     * @return List<Long>
     */
    List<Long> selectSkuIdListExist(List<Long> skuIdList);
}
